python-clang-3.6_3.6.2-3ubuntu2_amd64.deb


Advertisement

Description

python-clang-3.6 - Clang Python Bindings

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-clang-3.6
Package version 3.6.2
Package release 3ubuntu2
Package architecture amd64
Package type deb
Installed size 149 B
Download size 28.38 KB
Official Mirror archive.ubuntu.com
Clang project is a C, C++, Objective C and Objective C++ front-end
for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
Collection (GCC).
Clang implements all of the ISO C++ 1998 and 2001 standards and also provides
a partial support of C++1y.
This binding package provides access to the Clang compiler and libraries.

Alternatives

Package Version Architecture Repository
python-clang-3.6_3.6.2-3ubuntu2_i386.deb 3.6.2 i386 Ubuntu Universe
python-clang-3.6 - - -

Requires

Name Value
python -

Replaces

Name Value
python-clang-3.3 -
python-clang-3.4 -
python-clang-3.5 -
python-clang-3.7 -
python-clang-3.8 -

Download

Type URL
Binary Package python-clang-3.6_3.6.2-3ubuntu2_amd64.deb
Source Package llvm-toolchain-3.6

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-clang-3.6 deb package:
    # sudo apt-get install python-clang-3.6

Files

Path
/usr/lib/python2.7/dist-packages/clang/__init__.py
/usr/lib/python2.7/dist-packages/clang/cindex.py
/usr/lib/python2.7/dist-packages/clang/enumerations.py
/usr/share/doc/python-clang-3.6/NEWS.Debian.gz
/usr/share/doc/python-clang-3.6/changelog.Debian.gz
/usr/share/doc/python-clang-3.6/copyright

Changelog

2016-04-18 - Matthias Klose <doko@ubuntu.com>
llvm-toolchain-3.6 (1:3.6.2-3ubuntu2) xenial; urgency=medium
* Do not link executables with a version script.
2015-12-17 - Matthias Klose <doko@ubuntu.com>
llvm-toolchain-3.6 (1:3.6.2-3ubuntu1) xenial; urgency=medium
* [AArch64] Fix invalid use of references to BuildMI, taken from the trunk.
2015-11-10 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>
llvm-toolchain-3.6 (1:3.6.2-3build1) xenial; urgency=medium
* No-change rebuild against ocaml 4.02. (LP: #1515031)
2015-10-20 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.2-3) unstable; urgency=medium
* Add a Break/Replaces clang-3.6 (<< 1:3.6.2-2) from clang-tidy-3.6
to simplify the transition (Closes: #802456)
* Remove some warnings in the manpages generation (Closes: #795310)
2015-09-21 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.2-2) unstable; urgency=medium
* Fix the warning "duplicate-short-description cpp11-migrate-3.6
clang-modernize-3.6". cpp11-migrate is the old name of clang-modernize
* Bring back the build-id (Closes: #790686)
* Introduce clang-tidy-3.6 as a new package
[ Gianfranco Costamagna ]
* Fix many lintian warning/errors
- copyright fixes
- updated overrides for v5 switch
- d/control fixes on VCS fields and multiarch.
- disabled ocaml documentation
* d/p/bug783205.patch: rebase to 3.6.
* d/control: Add more conflicting packages (python-clang and python-lldb)
2015-08-17 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.2-1) unstable; urgency=medium
[ Sylvestre Ledru ]
* New upstream release
* Upload in unstable
* Add a workaround to build against g++ 5.2 (which does not provide
the binary g++-5.2)
* Transition to gcc 5. Thanks to Matthias Klose for the patch.
For this, we had to rename libllvm3.6 to libllvm3.6v5
(Closes: #793899)
* bug-24472.diff: Silent some aarch64/arm64 tests which started to fail
probably during the gcc 5 migration
2015-06-24 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.2~+rc1-1~exp1) experimental; urgency=medium
* Preparation of the new stable release
* Disable the patch force-gcc-header-obj.diff. Seems to cause bug #23556
2015-05-20 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6.1-1) unstable; urgency=medium
* New upstream release
* Fix the CMake build. thanks to Paweł Bylica for the fix.
Fix upstream bug #23352
2015-05-19 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6~+rc1-1~exp1) experimental; urgency=medium
* Preparation for the 3.6.1 release
* Force the version of clang in the analyzer scripts
clang-analyzer-force-version.diff
* Update of the Vcs-* flags
* remove lldb-arch.diff (merged upstream)
2015-02-27 - Sylvestre Ledru <sylvestre@debian.org>
llvm-toolchain-3.6 (1:3.6-2) unstable; urgency=medium
* lldb-arch.diff: Fix a critical bug on lldb arch detection
(Closes: #778562)

See Also

Package Description
python-clang-3.7_3.7.1-2ubuntu2_amd64.deb Clang Python Bindings
python-clang-3.8_3.8-2ubuntu1_amd64.deb Clang Python Bindings
python-clearsilver_0.10.5-1.6build1_amd64.deb Python bindings for clearsilver
python-cliapp_1.20160109-1_all.deb Python framework for Unix command line programs
python-click-plugins_1.0.2-1ubuntu3_all.deb Click extension to register external CLI commands (Python 2)
python-click_6.2-2ubuntu1_all.deb Simple wrapper around optparse for powerful command line utilities - Python 2.7
python-clientform_0.2.5-3_all.deb transitional dummy package
python-cligj_0.4.0-1_all.deb Python 2 library for processing GeoJSON commands
python-clint_0.5.1-1_all.deb Python Command-line Application Tools
python-clips_1.0.7.348+clips-1_amd64.deb Python module to interface the CLIPS expert system shell library
python-cloud-sptheme_1.6-1build1_all.deb Cloud Sphinx theme and related extensions
python-cloudfiles_1.7.11-3_all.deb Python language bindings for Cloud Files API
python-cluster_1.1.1b3-2_all.deb allows grouping a list of arbitrary objects into related groups (clusters)
python-cmislib-doc_0.5.1+dfsg-2_all.deb CMIS client library for Python (documentation)
python-cmislib_0.5.1+dfsg-2_all.deb CMIS client library for Python
Advertisement
Advertisement